API Doc
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
  1. 5.2 Payment - dynamic order
  • Unified API Request Param
  • Unified Async Notification Param
  • Open API Common Code List
  • 1. Account
    • Country Code
    • 1.1 Balance Inquiry
      POST
    • 1.2 Report Download
      POST
  • 2. Philippines
    • 2.1 Payout
      • Payout Channel List
      • 2.1.1 Create Payout
      • 2.1.2 Check Payment Status
      • 2.1.3 Payout Notification
    • 2.2 Payment - dynamic order
      • Philippines Payment Channel List
      • 2.2.1 Create Payment
      • 2.2.2 Check Payment Status
      • 2.2.3 Payment Notification
    • 2.3 Payment - static order
      • Philippines Payment Channel List
      • 2.3.1 Create Payment
      • 2.3.2 Payment Code Detail
      • 2.3.3 Query Static Payment List
      • 2.3.4 Payment Notification
      • 2.3.5 PaymentCode Cancel
  • 3. Indonesia
    • 3.1 Payout
      • Disburse Channel List
      • 3.1.1 Create Payout
      • 3.1.2 Check Payout Status
      • 3.1.3 Payout Notification
    • 3.2 Payment - dynamic order
      • Indonesia Payment Channel List
      • 3.2.1 Create Payment
      • 3.2.2 Check Payment Status
      • 3.2.3 Payment Notification
    • 3.3 Payment - static order
      • Channel List
      • 3.3.1 Create Payment
      • 3.3.2 Payment Code Detail
      • 3.3.3 Query Static Payment List
      • 3.3.4 Payment Notification
  • 4. Malaysia
    • 4.1 Payout
      • Payout Channel List
      • 4.1.1 Create Payout
      • 4.1.2 Check Payout Status
      • 4.1.3 Payout Notification
    • 4.2 Payment
      • Malaysia Payment Channel List
      • 4.2.1 Create Payment
      • 4.2.2 Check Payment Status
      • 4.2.3 Payment Notification
  • 5. Thailand
    • 5.1 Payout
      • Payout Channel List
      • 5.1.1 Create Payout
      • 5.1.2 Check Payout Status
      • 5.1.3 Payout Notification
    • 5.2 Payment - dynamic order
      • Thailand Payment Channel List
      • Wechat Webpage Authorization Reference
      • Wechat Calls Payment Reference
      • 5.2.1 Create Payment
        POST
      • 5.2.2 Check Payment Status
        POST
      • 5.2.3 Payment Notification
        POST
    • 5.3 Payment - static order
      • Channel List
      • 5.3.1 Create Payment
      • 5.3.2 Payment Code Detail
      • 5.3.3 Query Static Payment List
      • 5.3.4 Payment Notification
  • 6. Russia
    • 6.1 Payment
      • Russia Payment Channel List
      • 6.1.1 Create Payment
      • 6.1.2 Check Payment Status
      • 6.1.3 Payment Notification
  • 7. Refund
    • Refund Support Channel List
    • Refund Status Enum
    • 7.1 Refund
    • 7.2 Get Refund Payments
    • 7.3 Refund Notification
  1. 5.2 Payment - dynamic order

Wechat Webpage Authorization Reference

Official Account Payment#

Configuring the Webpage Authorization Domain Name#

The WECHAT JSAPI Payment product capability needs to obtain the user's openid in the form of authorization auth2
on the webpage before initiating payment to verify whether the person placing the order and the final payer are the same person.
The domain name used for auth2 authorization needs to be configured on the merchant's wechat official account platform by selecting Settings > Account Info > Function Setting.
The following figure shows the configuration page:
jsapi_webpage_auth_domain_config.png
Attention:
Note that the authorization callback domain should be filled in with a domain name (which is a string) instead of a URL,
so do not add http:// or other protocol headers here.
For example, if a domain name requiring webpage authorization is www.qq.com, you can perform OAuth 2.0 authentication
on the sub-domain pages http://www.qq.com/music.html and http://www.qq.com/login.html after configuration,
but cannot do so on http://pay.qq.com, http://music.qq.com, and http://qq.com.

Getting Openid#

When the scope is snsapi_base, the authorization page does not pop up and you can only get the user's openid;
when the scope is snsapi_userinfo, the authorization page pops up and you can get the user's alias, gender, and location with openid.
Additionally, you can get user information even if they are not following the Official Account, as long as they have granted authorization.
Webpage Authorization Guide of Wechat Official Account

Mini Program Payment#

Binding Appid#

Please contact us to bind appid of mini program.

Getting Openid#

Webpage Authorization Guide of Wechat Mini Program
Previous
Thailand Payment Channel List
Next
Wechat Calls Payment Reference
Built with